al_lock_sample_id(3)

NAME

al_lock_sample_id - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_audio.h>
    ALLEGRO_SAMPLE_INSTANCE* al_lock_sample_id(ALLEGRO_SAMPLE_ID *spl_id)

DESCRIPTION

Locks a ALLEGRO_SAMPLE_ID(3), returning the underlying ALLEGRO_SAMPLE_INSTANCE(3). This allows you to adjust the various properties of the instance (such as volume, pan, etc) while the sound is playing.

This function will return NULL if the sound corresponding to the id is no longer playing.

While locked, ALLEGRO_SAMPLE_ID will be unavailable to additional calls to al_play_sample(3), even if the sound stops while locked. To put the ALLEGRO_SAMPLE_ID back into the pool for reuse, make sure to call al_unlock_sample_id when you're done with the instance.

SEE ALSO

al_play_sample(3), al_unlock_sample_id(3)

SINCE

5.2.3

    [Unstable API]: New API.